Bug 21626 - Add 'current maintenance team' to the 'Koha team' page
Summary: Add 'current maintenance team' to the 'Koha team' page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 22893
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-22 07:37 UTC by Martin Renvoize
Modified: 2019-06-27 09:24 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
We have displayed the team responsible for the development of your installed version of Koha on the about page for some time, however we have not recognised those who are currently helping maintain it. This patch adds the current maintenance team (along with the end date for their tenure) to the about page.
Version(s) released in:


Attachments
Mockup (162.19 KB, image/png)
2018-10-22 08:04 UTC, Martin Renvoize
Details
Bug 21626: Add teams.yaml to /docs (11.39 KB, patch)
2019-04-11 15:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (12.82 KB, patch)
2019-04-11 15:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (11.39 KB, patch)
2019-04-23 13:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.07 KB, patch)
2019-04-23 13:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (11.39 KB, patch)
2019-04-26 10:26 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.08 KB, patch)
2019-04-26 10:26 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (11.39 KB, patch)
2019-04-26 10:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.08 KB, patch)
2019-04-26 10:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
before (74.62 KB, image/png)
2019-04-26 10:45 UTC, Martin Renvoize
Details
after on a stable release (109.31 KB, image/png)
2019-04-26 10:45 UTC, Martin Renvoize
Details
after on a development release (71.18 KB, image/png)
2019-04-26 10:46 UTC, Martin Renvoize
Details
Bug 21626: Add teams.yaml to /docs (15.85 KB, patch)
2019-04-26 10:52 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.08 KB, patch)
2019-04-26 10:52 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.85 KB, patch)
2019-05-01 12:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.08 KB, patch)
2019-05-01 12:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.85 KB, patch)
2019-05-02 08:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.08 KB, patch)
2019-05-02 08:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.85 KB, patch)
2019-05-02 10:00 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.11 KB, patch)
2019-05-02 10:00 UTC, Martin Renvoize
Details | Diff | Splinter Review
new_stable (126.52 KB, image/png)
2019-05-02 15:57 UTC, Martin Renvoize
Details
Bug 21626: Add teams.yaml to /docs (15.85 KB, patch)
2019-05-03 08:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.11 KB, patch)
2019-05-03 08:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.14 KB, patch)
2019-05-03 08:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.85 KB, patch)
2019-05-03 09:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (16.11 KB, patch)
2019-05-03 09:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.14 KB, patch)
2019-05-03 09:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Sort Roles (19.85 KB, patch)
2019-05-03 09:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (823 bytes, patch)
2019-05-03 09:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.84 KB, patch)
2019-05-03 11:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (15.72 KB, patch)
2019-05-03 11:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.14 KB, patch)
2019-05-03 11:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (823 bytes, patch)
2019-05-03 11:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add release dates to team (5.27 KB, patch)
2019-05-03 11:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.89 KB, patch)
2019-05-10 14:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (15.78 KB, patch)
2019-05-10 14:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.19 KB, patch)
2019-05-10 14:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (866 bytes, patch)
2019-05-10 14:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21626: Add release dates to team (5.33 KB, patch)
2019-05-10 14:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21626: (follow-up) Minor tweaks to the columns formatting (4.38 KB, patch)
2019-05-10 15:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.89 KB, patch)
2019-05-13 19:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (15.77 KB, patch)
2019-05-13 19:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.19 KB, patch)
2019-05-13 19:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (873 bytes, patch)
2019-05-13 19:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add release dates to team (5.32 KB, patch)
2019-05-13 19:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Corrections to typos (8.57 KB, patch)
2019-05-13 19:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Minor tweaks to the columns formatting (4.38 KB, patch)
2019-05-13 19:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.89 KB, patch)
2019-05-13 19:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (15.77 KB, patch)
2019-05-13 19:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.19 KB, patch)
2019-05-13 19:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (873 bytes, patch)
2019-05-13 19:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add release dates to team (5.32 KB, patch)
2019-05-13 19:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Corrections to typos (7.07 KB, patch)
2019-05-13 19:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Minor tweaks to the columns formatting (4.38 KB, patch)
2019-05-13 19:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Template corrections for arrayref (1.66 KB, patch)
2019-05-13 19:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.89 KB, patch)
2019-05-13 19:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (15.77 KB, patch)
2019-05-13 19:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.19 KB, patch)
2019-05-13 19:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (873 bytes, patch)
2019-05-13 19:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add release dates to team (5.32 KB, patch)
2019-05-13 19:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Corrections to typos (7.07 KB, patch)
2019-05-13 19:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Template corrections for arrayref (1.66 KB, patch)
2019-05-13 19:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Minor tweaks to the columns formatting (4.39 KB, patch)
2019-05-13 19:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.95 KB, patch)
2019-05-13 21:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (15.85 KB, patch)
2019-05-13 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.25 KB, patch)
2019-05-13 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (931 bytes, patch)
2019-05-13 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21626: Add release dates to team (5.40 KB, patch)
2019-05-13 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21626: Corrections to typos (7.13 KB, patch)
2019-05-13 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21626: (follow-up) Template corrections for arrayref (1.72 KB, patch)
2019-05-13 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21626: (follow-up) Minor tweaks to the columns formatting (4.41 KB, patch)
2019-05-13 21:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.95 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (15.83 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.24 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (931 bytes, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add release dates to team (5.38 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Corrections to typos (7.12 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Template corrections for arrayref (1.72 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (QA follow-up) Don't crash on missing teams file (2.97 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (QA follow-up) Embed teams.yaml for debian packages (1.82 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (QA follow-up) Remove duplicate roles (19.14 KB, patch)
2019-05-14 14:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add teams.yaml to /docs (15.95 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Use teams.yaml for teams section (15.89 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Changes based on feedback (5.24 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Performance Improvement (931 bytes, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Add release dates to team (5.38 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: Corrections to typos (7.12 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (follow-up) Template corrections for arrayref (1.72 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (QA follow-up) Don't crash on missing teams file (2.98 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (QA follow-up) Embed teams.yaml for debian packages (1.92 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21626: (QA follow-up) Remove duplicate roles (19.14 KB, patch)
2019-05-15 05:40 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-10-22 07:37:22 UTC
Currently, we display the 'release team' for the duration of a releases maintenance period. I propose that we add an additional column next to this to display the current 'maintenance' team and thus give more exposure to their hard work.

A release team doesn't just look to the next release but also contributes to the maintenance of existing branches by continuing to find and fix bugs... lets showcase that side of their work too :)
Comment 1 Martin Renvoize 2018-10-22 07:40:42 UTC
Further thoughts on this.. it may be nice to allow scrolling through the release teams in a carousel?
Comment 2 Martin Renvoize 2018-10-22 08:04:48 UTC
Created attachment 80968 [details]
Mockup
Comment 3 Martin Renvoize 2018-10-22 11:56:31 UTC
To note: I don't expect to see this maintained manually as we currently do.. rather, I'd like to maintain a yaml file of release teams via the release-tools and utilise that in the template.
Comment 4 Tomás Cohen Arazi 2018-10-22 12:35:09 UTC
I love the idea. At some point I proposed to have all prior release teams on a carousel, but didn't find the time to do it.

This way we could tidy things, like the donating institutions for each release, which are not easily highlighted the way it is now. So the sponsoring institutions could show on the corresponding release tab/page.
Comment 5 Katrin Fischer 2018-10-28 17:37:57 UTC
I like both ideas - have all release teams and have the maintenance team highlighted. It's something I stumbled on when doing release maintenance as well.
Comment 6 Martin Renvoize 2019-04-11 15:11:21 UTC
Created attachment 87776 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 7 Martin Renvoize 2019-04-11 15:11:23 UTC
Created attachment 87777 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 8 Martin Renvoize 2019-04-23 13:47:37 UTC
Created attachment 88483 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 9 Martin Renvoize 2019-04-23 13:47:40 UTC
Created attachment 88484 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 10 Martin Renvoize 2019-04-26 10:26:21 UTC
Created attachment 88880 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 11 Martin Renvoize 2019-04-26 10:26:23 UTC
Created attachment 88881 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 12 Martin Renvoize 2019-04-26 10:40:14 UTC
Created attachment 88882 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 13 Martin Renvoize 2019-04-26 10:40:17 UTC
Created attachment 88883 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 14 Martin Renvoize 2019-04-26 10:45:24 UTC
Created attachment 88884 [details]
before
Comment 15 Martin Renvoize 2019-04-26 10:45:47 UTC
Created attachment 88885 [details]
after on a stable release
Comment 16 Martin Renvoize 2019-04-26 10:46:19 UTC
Created attachment 88886 [details]
after on a development release
Comment 17 Martin Renvoize 2019-04-26 10:47:39 UTC
I've added some screenshots to show how this looks before this patch, and after this patch when backported to a stable branch and when on the current development version.

I'm sure it could be made to look even nicer and to display more than just the current maintenance and your running versions release teams but I think this is a good starting point.
Comment 18 Martin Renvoize 2019-04-26 10:52:00 UTC
Created attachment 88890 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 19 Martin Renvoize 2019-04-26 10:52:04 UTC
Created attachment 88891 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 20 Magnus Enger 2019-04-26 11:03:05 UTC
This looks great!
Comment 21 Tomás Cohen Arazi 2019-04-26 14:49:15 UTC
Great work!
Comment 22 Marcel de Rooy 2019-05-01 11:48:39 UTC
Applying: Bug 21626: Use teams.yaml for teams section
error: sha1 information is lacking or useless (about.pl).
error: could not build fake ancestor
Comment 23 Marcel de Rooy 2019-05-01 11:52:13 UTC
Glad to see improvements here, but the two teams next to each other are somehow confusing to me too.
Comment 24 Martin Renvoize 2019-05-01 12:10:56 UTC
Created attachment 89185 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 25 Martin Renvoize 2019-05-01 12:11:00 UTC
Created attachment 89186 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 26 Martin Renvoize 2019-05-01 12:11:52 UTC
Rebased so hopefully applies again now.
Comment 27 Martin Renvoize 2019-05-01 12:13:25 UTC
A branch is also maintained here: https://github.com/PTFS-Europe/koha/tree/bug_21626
Comment 28 Martin Renvoize 2019-05-02 08:04:30 UTC
Created attachment 89206 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 29 Martin Renvoize 2019-05-02 08:04:33 UTC
Created attachment 89207 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 30 Martin Renvoize 2019-05-02 10:00:04 UTC
Created attachment 89216 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 31 Martin Renvoize 2019-05-02 10:00:07 UTC
Created attachment 89217 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 32 Martin Renvoize 2019-05-02 14:08:34 UTC
Hi Marcel..

So, how about I add a page to koha-community.org something along the lines:

>The release team is a group of people responsible for the development of a given release and also the maintenance of in-support releases during the duration of their release cycle.

>An installation of Koha will list two teams on the about page, one for the original team responsible for that versions development and a second for the team currently maintaining it with monthly maintenance releases.

>The community hold elections once every six months, during an IRC general meeting, to elect who will be part of the team for the next 6 month development cycle.

>The roles in a release team may change from cycle to cycle as we continuously look to improve our workflows but the general makeup of the team is described in reasonable detail on <a href="https://wiki.koha-community.org/wiki/Project_roles">this</a> community wiki page.

>A record of previous teams can also be found on the wiki <a href="https://wiki.koha-community.org/wiki/Release_Teams">here</a>.

And link to it from the koha about page as part of these enhancements.. I'm also tempted to add in the dates a cycle takes place on the about page so that we clearly show if the 'current' maintenance team is no longer current if a library isn't updating regularly.
Comment 33 Martin Renvoize 2019-05-02 15:57:01 UTC
Created attachment 89253 [details]
new_stable
Comment 34 Caroline Cyr La Rose 2019-05-02 16:24:31 UTC
Feedback from IRC based on screenshot:

- capitalize Koha (koha -> Koha)
- uncapitalize Team and Manager (Documentation Team -> Documentation team ; Documentation Manager -> Documentation manager)
- correct "maintenance" typo (maintainence -> maintenance)
- rephrase "the version of Koha you are currently running" -> of your currently installed Koha version (suggestion from a non-native, feel free to write whatever sounds best in English ;) )
- add translation manager to current team
- add dates to current maintenance team
- alphabetize teams within a role by last name (e.g. QA team : Alex Arnaud, Tomás Cohen Arazi, Chris Cormack, Jonathan Druart, Kyle Hall, Julian Maurice, Josef Moravec, Martin Renvoize, Marcel de Rooy) (not sure about Marcel's name D or R? Ask for preference)

Caroline
Comment 35 Marcel de Rooy 2019-05-03 05:30:26 UTC
(In reply to Caroline Cyr La Rose from comment #34)
> Marcel's name D or R? Ask for preference)
> 
> Caroline

Dutch people will sort by R and write de R; non-Dutch will often sort by D and write De R..
I won't mind ;)
Comment 36 Marcel de Rooy 2019-05-03 06:02:01 UTC
(In reply to Martin Renvoize from comment #32)
> So, how about I add a page to koha-community.org something along the lines:
[...]
> And link to it from the koha about page as part of these enhancements.. I'm
> also tempted to add in the dates a cycle takes place on the about page so
> that we clearly show if the 'current' maintenance team is no longer current
> if a library isn't updating regularly.

If I would be using say 17.11.08, I would see the release team of 17.11 (which is fine) and since .08 normally means that we are in the second maintenance cycle, I might see the second RMaint and the release team of 18.11, right?
But since I did not upgrade, that info is already out of date. No sense in contacting these individuals.

Imo showing two teams is confusing and hard to explain. If you are in say 18.11 QA team, you will be credited for that on a 18.11 about page, and not on the older versions.

Should we use the phrase "Original release team"? Remove the maintainers from that section and separately list all maintainers for that version (say 17.11). System date could indeed tell you if the last maintainer is still in function and if the version is even maintained (assuming three cycles).

I think we should postpone this to 19.11 btw.
Comment 37 Martin Renvoize 2019-05-03 08:11:03 UTC
Created attachment 89281 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 38 Martin Renvoize 2019-05-03 08:11:06 UTC
Created attachment 89282 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 39 Martin Renvoize 2019-05-03 08:11:09 UTC
Created attachment 89283 [details] [review]
Bug 21626: (follow-up) Changes based on feedback
Comment 40 Martin Renvoize 2019-05-03 09:11:01 UTC
Created attachment 89295 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 41 Martin Renvoize 2019-05-03 09:11:05 UTC
Created attachment 89296 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 42 Martin Renvoize 2019-05-03 09:11:08 UTC
Created attachment 89297 [details] [review]
Bug 21626: (follow-up) Changes based on feedback
Comment 43 Martin Renvoize 2019-05-03 09:11:11 UTC
Created attachment 89298 [details] [review]
Bug 21626: (follow-up) Sort Roles
Comment 44 Martin Renvoize 2019-05-03 09:11:14 UTC
Created attachment 89299 [details] [review]
Bug 21626: (follow-up) Performance Improvement
Comment 45 Martin Renvoize 2019-05-03 11:12:42 UTC
Created attachment 89307 [details] [review]
Bug 21626: Add teams.yaml to /docs
Comment 46 Martin Renvoize 2019-05-03 11:12:46 UTC
Created attachment 89308 [details] [review]
Bug 21626: Use teams.yaml for teams section
Comment 47 Martin Renvoize 2019-05-03 11:12:49 UTC
Created attachment 89309 [details] [review]
Bug 21626: (follow-up) Changes based on feedback
Comment 48 Martin Renvoize 2019-05-03 11:12:52 UTC
Created attachment 89310 [details] [review]
Bug 21626: (follow-up) Performance Improvement
Comment 49 Martin Renvoize 2019-05-03 11:12:56 UTC
Created attachment 89311 [details] [review]
Bug 21626: Add release dates to team
Comment 50 Owen Leonard 2019-05-10 14:59:44 UTC
Created attachment 89552 [details] [review]
Bug 21626: Add teams.yaml to /docs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 51 Owen Leonard 2019-05-10 14:59:48 UTC
Created attachment 89553 [details] [review]
Bug 21626: Use teams.yaml for teams section

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 52 Owen Leonard 2019-05-10 14:59:51 UTC
Created attachment 89554 [details] [review]
Bug 21626: (follow-up) Changes based on feedback

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 53 Owen Leonard 2019-05-10 14:59:54 UTC
Created attachment 89555 [details] [review]
Bug 21626: (follow-up) Performance Improvement

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 54 Owen Leonard 2019-05-10 14:59:57 UTC
Created attachment 89556 [details] [review]
Bug 21626: Add release dates to team

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 55 Owen Leonard 2019-05-10 15:00:00 UTC
Created attachment 89557 [details] [review]
Bug 21626: (follow-up) Minor tweaks to the columns formatting

This patch makes minor markup and CSS changes to improve the
column-formatting of team data. The primary goal of these changes is to
avoid showing a large blank space when using a development version. Some
text has been moved around to avoid validation errors.

To test, apply the patch and rebuild the staff client CSS.

Release and maintenance team information should be displayed in 3-column
sets. The information should look well-formatted when using a
development or non-development version.
Comment 56 Katrin Fischer 2019-05-11 22:25:02 UTC
On master Release maintainer and Jenkins maintainer don't display for me - the label shows, but there is no name behind it?
Comment 57 Katrin Fischer 2019-05-11 22:26:07 UTC
While you are on it... do you want to sign off Owen's last patch?
Comment 58 Martin Renvoize 2019-05-13 19:27:51 UTC
Hmm.. not sure I like the followup I'm afraid Owen.  I liked the side by side of the two teams and I'm not a major fan of splitting the nicely ordered team list over three columns..
Comment 59 Martin Renvoize 2019-05-13 19:30:04 UTC
Created attachment 89681 [details] [review]
Bug 21626: Add teams.yaml to /docs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 60 Martin Renvoize 2019-05-13 19:30:08 UTC
Created attachment 89682 [details] [review]
Bug 21626: Use teams.yaml for teams section

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 61 Martin Renvoize 2019-05-13 19:30:11 UTC
Created attachment 89683 [details] [review]
Bug 21626: (follow-up) Changes based on feedback

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 62 Martin Renvoize 2019-05-13 19:30:14 UTC
Created attachment 89684 [details] [review]
Bug 21626: (follow-up) Performance Improvement

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 63 Martin Renvoize 2019-05-13 19:30:18 UTC
Created attachment 89685 [details] [review]
Bug 21626: Add release dates to team

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 64 Martin Renvoize 2019-05-13 19:30:21 UTC
Created attachment 89686 [details] [review]
Bug 21626: Corrections to typos
Comment 65 Martin Renvoize 2019-05-13 19:30:25 UTC
Created attachment 89687 [details] [review]
Bug 21626: (follow-up) Minor tweaks to the columns formatting

This patch makes minor markup and CSS changes to improve the
column-formatting of team data. The primary goal of these changes is to
avoid showing a large blank space when using a development version. Some
text has been moved around to avoid validation errors.

To test, apply the patch and rebuild the staff client CSS.

Release and maintenance team information should be displayed in 3-column
sets. The information should look well-formatted when using a
development or non-development version.
Comment 66 Martin Renvoize 2019-05-13 19:54:45 UTC
Created attachment 89690 [details] [review]
Bug 21626: Add teams.yaml to /docs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 67 Martin Renvoize 2019-05-13 19:54:49 UTC
Created attachment 89691 [details] [review]
Bug 21626: Use teams.yaml for teams section

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 68 Martin Renvoize 2019-05-13 19:54:52 UTC
Created attachment 89692 [details] [review]
Bug 21626: (follow-up) Changes based on feedback

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 69 Martin Renvoize 2019-05-13 19:54:56 UTC
Created attachment 89693 [details] [review]
Bug 21626: (follow-up) Performance Improvement

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 70 Martin Renvoize 2019-05-13 19:54:59 UTC
Created attachment 89694 [details] [review]
Bug 21626: Add release dates to team

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 71 Martin Renvoize 2019-05-13 19:55:03 UTC
Created attachment 89695 [details] [review]
Bug 21626: Corrections to typos
Comment 72 Martin Renvoize 2019-05-13 19:55:06 UTC
Created attachment 89696 [details] [review]
Bug 21626: (follow-up) Minor tweaks to the columns formatting

This patch makes minor markup and CSS changes to improve the
column-formatting of team data. The primary goal of these changes is to
avoid showing a large blank space when using a development version. Some
text has been moved around to avoid validation errors.

To test, apply the patch and rebuild the staff client CSS.

Release and maintenance team information should be displayed in 3-column
sets. The information should look well-formatted when using a
development or non-development version.
Comment 73 Martin Renvoize 2019-05-13 19:55:10 UTC
Created attachment 89697 [details] [review]
Bug 21626: (follow-up) Template corrections for arrayref
Comment 74 Martin Renvoize 2019-05-13 19:55:45 UTC
Created attachment 89698 [details] [review]
Bug 21626: Add teams.yaml to /docs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 75 Martin Renvoize 2019-05-13 19:55:49 UTC
Created attachment 89699 [details] [review]
Bug 21626: Use teams.yaml for teams section

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 76 Martin Renvoize 2019-05-13 19:55:52 UTC
Created attachment 89700 [details] [review]
Bug 21626: (follow-up) Changes based on feedback

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 77 Martin Renvoize 2019-05-13 19:55:56 UTC
Created attachment 89701 [details] [review]
Bug 21626: (follow-up) Performance Improvement

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 78 Martin Renvoize 2019-05-13 19:55:59 UTC
Created attachment 89702 [details] [review]
Bug 21626: Add release dates to team

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 79 Martin Renvoize 2019-05-13 19:56:02 UTC
Created attachment 89703 [details] [review]
Bug 21626: Corrections to typos
Comment 80 Martin Renvoize 2019-05-13 19:56:06 UTC
Created attachment 89704 [details] [review]
Bug 21626: (follow-up) Template corrections for arrayref
Comment 81 Martin Renvoize 2019-05-13 19:56:10 UTC
Created attachment 89705 [details] [review]
Bug 21626: (follow-up) Minor tweaks to the columns formatting

This patch makes minor markup and CSS changes to improve the
column-formatting of team data. The primary goal of these changes is to
avoid showing a large blank space when using a development version. Some
text has been moved around to avoid validation errors.

To test, apply the patch and rebuild the staff client CSS.

Release and maintenance team information should be displayed in 3-column
sets. The information should look well-formatted when using a
development or non-development version.
Comment 82 Martin Renvoize 2019-05-13 20:01:06 UTC
Also.. I actually like the abundance of whitespace when running a development version.. it's bringing attention to the fact your running a dev version when really you shouldn't be unless you're a developer.

Librarians should never see it, so we're not really saving any screen space when running live.
Comment 83 Katrin Fischer 2019-05-13 21:35:57 UTC
Created attachment 89713 [details] [review]
Bug 21626: Add teams.yaml to /docs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 84 Katrin Fischer 2019-05-13 21:36:02 UTC
Created attachment 89714 [details] [review]
Bug 21626: Use teams.yaml for teams section

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 85 Katrin Fischer 2019-05-13 21:36:06 UTC
Created attachment 89715 [details] [review]
Bug 21626: (follow-up) Changes based on feedback

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 86 Katrin Fischer 2019-05-13 21:36:10 UTC
Created attachment 89716 [details] [review]
Bug 21626: (follow-up) Performance Improvement

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 87 Katrin Fischer 2019-05-13 21:36:15 UTC
Created attachment 89717 [details] [review]
Bug 21626: Add release dates to team

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 88 Katrin Fischer 2019-05-13 21:36:19 UTC
Created attachment 89718 [details] [review]
Bug 21626: Corrections to typos

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 89 Katrin Fischer 2019-05-13 21:36:23 UTC
Created attachment 89719 [details] [review]
Bug 21626: (follow-up) Template corrections for arrayref

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 90 Katrin Fischer 2019-05-13 21:38:56 UTC
Created attachment 89720 [details] [review]
Bug 21626: (follow-up) Minor tweaks to the columns formatting

This patch makes minor markup and CSS changes to improve the
column-formatting of team data. The primary goal of these changes is to
avoid showing a large blank space when using a development version. Some
text has been moved around to avoid validation errors.

To test, apply the patch and rebuild the staff client CSS.

Release and maintenance team information should be displayed in 3-column
sets. The information should look well-formatted when using a
development or non-development version.
Comment 91 Katrin Fischer 2019-05-13 21:39:50 UTC
Owen, I hope you won't get grumpy with me, but I agree with Martin here - I like the one column per team layout better than the divided layout with 3 columns. 

I have obsoleted your patch for now, but noting it for Nick. It works, of course!
Comment 92 Owen Leonard 2019-05-14 11:32:35 UTC
(In reply to Katrin Fischer from comment #91)
> Owen, I hope you won't get grumpy with me, but I agree with Martin here

No problem at all! That's how all this is supposed to work :)
Comment 93 Marcel de Rooy 2019-05-14 13:00:07 UTC
Repetition:

Bug wrangler (3.06, 3.06)
Comment 94 Martin Renvoize 2019-05-14 14:57:05 UTC
Created attachment 89750 [details] [review]
Bug 21626: Add teams.yaml to /docs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 95 Martin Renvoize 2019-05-14 14:57:08 UTC
Created attachment 89751 [details] [review]
Bug 21626: Use teams.yaml for teams section

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 96 Martin Renvoize 2019-05-14 14:57:12 UTC
Created attachment 89752 [details] [review]
Bug 21626: (follow-up) Changes based on feedback

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 97 Martin Renvoize 2019-05-14 14:57:16 UTC
Created attachment 89753 [details] [review]
Bug 21626: (follow-up) Performance Improvement

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 98 Martin Renvoize 2019-05-14 14:57:19 UTC
Created attachment 89754 [details] [review]
Bug 21626: Add release dates to team

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 99 Martin Renvoize 2019-05-14 14:57:23 UTC
Created attachment 89755 [details] [review]
Bug 21626: Corrections to typos

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 100 Martin Renvoize 2019-05-14 14:57:27 UTC
Created attachment 89756 [details] [review]
Bug 21626: (follow-up) Template corrections for arrayref

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 101 Martin Renvoize 2019-05-14 14:57:30 UTC
Created attachment 89757 [details] [review]
Bug 21626: (QA follow-up) Don't crash on missing teams file

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 102 Martin Renvoize 2019-05-14 14:57:34 UTC
Created attachment 89758 [details] [review]
Bug 21626: (QA follow-up) Embed teams.yaml for debian packages

Like history.txt we need to tell some debian/ files to copy
teams.yaml
Also pick it for the `make install` process (Makefile.PL)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 103 Martin Renvoize 2019-05-14 14:57:38 UTC
Created attachment 89759 [details] [review]
Bug 21626: (QA follow-up) Remove duplicate roles

The teams file contains all roles so we don't need to also list them in
the contributors file. This patch removes them from contributors.yaml
and relies only on the merging of teams.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 104 Martin Renvoize 2019-05-14 15:07:58 UTC
(In reply to Marcel de Rooy from comment #93)
> Repetition:
> 
> Bug wrangler (3.06, 3.06)

Resolved in final followup.. I forgot I'd added roles into contributors.yaml as part of the previous bug.
Comment 105 Katrin Fischer 2019-05-14 21:06:05 UTC
Patches don't apply for me - maybe a missing dependency?

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 21626: Add teams.yaml to /docs
Applying: Bug 21626: Use teams.yaml for teams section
Using index info to reconstruct a base tree...
M	about.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/about.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/about.tt
Auto-merging about.pl
CONFLICT (content): Merge conflict in about.pl
error: Failed to merge in the changes.
Patch failed at 0001 Bug 21626: Use teams.yaml for teams section
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-21626-Use-teamsyaml-for-teams-section-igzqn1.patch
Comment 106 Martin Renvoize 2019-05-15 05:40:04 UTC
Created attachment 89771 [details] [review]
Bug 21626: Add teams.yaml to /docs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 107 Martin Renvoize 2019-05-15 05:40:08 UTC
Created attachment 89772 [details] [review]
Bug 21626: Use teams.yaml for teams section

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 108 Martin Renvoize 2019-05-15 05:40:11 UTC
Created attachment 89773 [details] [review]
Bug 21626: (follow-up) Changes based on feedback

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 109 Martin Renvoize 2019-05-15 05:40:15 UTC
Created attachment 89774 [details] [review]
Bug 21626: (follow-up) Performance Improvement

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 110 Martin Renvoize 2019-05-15 05:40:19 UTC
Created attachment 89775 [details] [review]
Bug 21626: Add release dates to team

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 111 Martin Renvoize 2019-05-15 05:40:23 UTC
Created attachment 89776 [details] [review]
Bug 21626: Corrections to typos

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 112 Martin Renvoize 2019-05-15 05:40:26 UTC
Created attachment 89777 [details] [review]
Bug 21626: (follow-up) Template corrections for arrayref

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 113 Martin Renvoize 2019-05-15 05:40:30 UTC
Created attachment 89778 [details] [review]
Bug 21626: (QA follow-up) Don't crash on missing teams file

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 114 Martin Renvoize 2019-05-15 05:40:34 UTC
Created attachment 89779 [details] [review]
Bug 21626: (QA follow-up) Embed teams.yaml for debian packages

Like history.txt we need to tell some debian/ files to copy
teams.yaml
Also pick it for the `make install` process (Makefile.PL)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 115 Martin Renvoize 2019-05-15 05:40:38 UTC
Created attachment 89780 [details] [review]
Bug 21626: (QA follow-up) Remove duplicate roles

The teams file contains all roles so we don't need to also list them in
the contributors file. This patch removes them from contributors.yaml
and relies only on the merging of teams.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 116 Martin Renvoize 2019-05-15 05:41:39 UTC
(In reply to Katrin Fischer from comment #105)
> Patches don't apply for me - maybe a missing dependency?
> 
> Apply? [(y)es, (n)o, (i)nteractive] y
> Applying: Bug 21626: Add teams.yaml to /docs
> Applying: Bug 21626: Use teams.yaml for teams section
> Using index info to reconstruct a base tree...
> M	about.pl
> M	koha-tmpl/intranet-tmpl/prog/en/modules/about.tt
> Falling back to patching base and 3-way merge...
> Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/about.tt
> Auto-merging about.pl
> CONFLICT (content): Merge conflict in about.pl
> error: Failed to merge in the changes.
> Patch failed at 0001 Bug 21626: Use teams.yaml for teams section
> The copy of the patch that failed is found in: .git/rebase-apply/patch
> When you have resolved this problem run "git bz apply --continue".
> If you would prefer to skip this patch, instead run "git bz apply --skip".
> To restore the original branch and stop patching run "git bz apply --abort".
> Patch left in /tmp/Bug-21626-Use-teamsyaml-for-teams-section-igzqn1.patch

Rebased and ready to go
Comment 117 Nick Clemens 2019-05-17 14:54:44 UTC
Awesome work all! 

Pushed to master for 19.05
Comment 118 Martin Renvoize 2019-05-30 19:35:45 UTC
Enhancement will not be backported to 18.11.x series.